.image-preview-mask {


    position: fixed;


    inset:0;


    background:
            rgba(0,0,0,.85);



    display:flex;


    justify-content:center;


    align-items:center;



    z-index:99999;


    overflow:hidden;


}





.image-preview-mask img {


    max-width:90%;


    max-height:90%;



    user-select:none;


    -webkit-user-drag:none;



    cursor:grab;



    transform-origin:center;



    will-change:transform;


}






.image-preview-mask img:active{


    cursor:grabbing;


}